# useMessage

```ts
useMessage(): TUseMessageReturn
```

**Returns**

| Property   | Type                                 |
| ---------- | ------------------------------------ |
| `success`  | `(config: TMessageConfig) => string` |
| `warning`  | `(config: TMessageConfig) => string` |
| `error`    | `(config: TMessageConfig) => string` |
| `close`    | `(id: string) => void`               |
| `closeAll` | `() => void`                         |
